SystemOrganization addCategory: #'Orange-AngularJS'!

ALAsyncExample subclass: #ORAJSAuthComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSAuthComponent commentStamp: 'chc 6/22/2015 14:43' prior: 0!
Used by ORExamplePage where it is added to initialize to add an AngularJS Javascript example.

!

!ORAJSAuthComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/21/2015 14:34'!
libraryScript
	^'angular.module(''notesApp'', [])
		.controller(''MainCtrl'', [''$http'',function($http) {
			var self = this;
			self.change = function () {
				self.username = ''changed'';
				self.password = ''password'';
				};
			self.submit = function () {
				$http.post( ''/json'',
				{ "username" :  self.username, 
				   "password" : self.password}
							).success(function(data) {
								self.infix = data;}
							);
					};	
		}]);'! !

!ORAJSAuthComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/21/2015 14:54'!
renderContentOn: html
	html input beTypeText; ngModel: 'ctrl.username'.
	html input beTypePassword; ngModel: 'ctrl.password'.
	html button ngClick: 'ctrl.change()'; with: 'Change Values'.
	html button ngClick: 'ctrl.submit()'; with: 'Submit'.
	html br.
	html textarea ngModel: 'ctrl.infix'.
	" html html ngModel: 'ctrl.infix'."
	self renderScriptsOn: html! !

!ORAJSAuthComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/21/2015 13:16'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	! !

ALAsyncExample subclass: #ORAJSDirectiveComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSDirectiveComponent commentStamp: '<historical>' prior: 0!
Used by ORExamplePage where it is added to initialize to add an AngularJS Javascript example.

!

!ORAJSDirectiveComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/22/2015 16:34'!
libraryScript
	^'angular.module(''notesApp'', [])
		.controller(''MainCtrl'', [function() {
			var self = this;
			self.message = ''Hello '';
			self.changeMessage = function() {
				self.message = ''Goodbye'' };
	}]).directive(''myCustomer'', function() {
  				return {
					 restrict: ''C'',
   					 template: ''<div>Hello Directive</div>''
 					};
			});'! !

!ORAJSDirectiveComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/22/2015 16:35'!
renderContentOn: html
	"html raw: '<div my-customer></div>'."
	"html div ngMyCustomer."
	 html div class: 'myCustomer'.
	self renderScriptsOn: html! !

!ORAJSDirectiveComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/22/2015 16:02'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	! !

ALAsyncExample subclass: #ORAJSHelloController2Component
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloController2Component commentStamp: '<historical>' prior: 0!
Used by ORExamplePage where it is added to initialize to add an AngularJS Javascript example.

!

!ORAJSHelloController2Component methodsFor: 'as yet unclassified' stamp: 'chc 7/15/2015 15:10'!
libraryScript
	^'angular.module(''notesApp'', [])
		.controller(''MainCtrl'', [function() {
			var self = this;
			self.notes = [
				{id: 1, label: ''First Note '', done: false},
				{id: 2, label: ''Second Note '', done: false},
				{id: 3, label: ''Done Note '', done: true},
				{id: 4, label: ''Last Note '', done: false}
			];
	}]);'! !

!ORAJSHelloController2Component methodsFor: 'as yet unclassified' stamp: 'chc 7/20/2015 13:50'!
renderContentOn: html
	html div ngRepeat: 'note in ctrl.notes'; with: [
		html span ngBind: 'note.label | lowercase | limitTo: 4'.
		html br.
		html span ngBind: 'note.done' ].
	self renderScriptsOn: html! !

!ORAJSHelloController2Component methodsFor: 'as yet unclassified' stamp: 'chc 7/15/2015 14:45'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	! !

ALAsyncExample subclass: #ORAJSHelloControllerComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloControllerComponent commentStamp: '<historical>' prior: 0!
Used by ORExamplePage where it is added to initialize to add an AngularJS Javascript example.

!

!ORAJSHelloControllerComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/14/2015 16:35'!
libraryScript
	^'angular.module(''notesApp'', [])
		.controller(''MainCtrl'', [function() {
			var self = this;
			self.message = ''Hello '';
			self.changeMessage = function() {
				self.message = ''Goodbye'' };
	}]);'! !

!ORAJSHelloControllerComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/14/2015 16:38'!
renderContentOn: html
	html span ngBind: 'ctrl.message'. html text: 'AngularJS'.	
	html br.
	html button ngClick: 'ctrl.changeMessage()'; with: 'Change Message'.
	self renderScriptsOn: html! !

!ORAJSHelloControllerComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/14/2015 15:19'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	! !

ALAsyncExample subclass: #ORAJSHelloModuleComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloModuleComponent commentStamp: '<historical>' prior: 0!
Used by ORExamplePage where it is added to initialize to add an AngularJS Javascript example.

!

!ORAJSHelloModuleComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/13/2015 15:02'!
libraryScript
	^'angular.module(''notesApp'', []);'! !

!ORAJSHelloModuleComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/14/2015 15:06'!
renderContentOn: html
	"html h1: 'Hello {{ 1 + 1 }}nd time AngularJS'."
	html span ngBind: '{{ 1 + 1 }}'.
	html text: 'nd time AngularJS'.
	self renderScriptsOn: html! !

!ORAJSHelloModuleComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/14/2015 15:03'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	! !

ALAsyncExample subclass: #ORAJSHelloWorldComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloWorldComponent commentStamp: '<historical>' prior: 0!
Used by ORExamplePage where it is added to initialize to add an AngularJS Javascript example.

!

!ORAJSHelloWorldComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/13/2015 14:17'!
renderContentOn: html
	html p: 'Enter your name: '.
	html input beTypeText; ngModel: 'name'.
	html br.
	html span ngBind: 'name'.
	self renderScriptsOn: html! !

!ORAJSHelloWorldComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/11/2015 11:41'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	! !

ALComponentResource subclass: #ORAJSAuthResource
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSAuthResource commentStamp: 'chc 6/22/2015 14:51' prior: 0!
Catches a username and password sent as JSON by a compoment like ORAngularJS. !

!ORAJSAuthResource methodsFor: 'as yet unclassified' stamp: 'chc 7/6/2015 11:55'!
authorized: result locator: aLocator
	| root cookie url |
	root := component rematerialize.
	"[root noteDispatch]
		on: ALUserStipulation
		do: [:stipulation | stipulation component auth: true ]."
	url := aLocator urlForResource: root asResource.
	cookie := ALCookie name: 'auth' value: result token.
	cookie path: '/'.
	^ (ALResponse seeOther: url)
		setCookie: cookie;
		"date: DateAndTime now;
		keepAlive: 'timeout=10, max=20';"
		yourself! !

!ORAJSAuthResource methodsFor: 'as yet unclassified' stamp: 'chc 3/11/2015 14:17'!
denied
	^ ALResponse status: 401 reason: 'Authentication failed'! !

!ORAJSAuthResource methodsFor: 'as yet unclassified' stamp: 'chc 7/6/2015 11:56'!
handleGet: aRequest locator: aLocator
	| request result authstring |
self halt.
	(aRequest authorization isNil)
		ifTrue: [^self respondWithChallenge]
		ifFalse: [
	authstring := (aRequest authorization copyAfter: Character space) base64Decoded.
	request := ALAuthenticationRequest withUsername:  (authstring copyUpTo: $:)   password: (authstring copyAfter: $:).
	result := request signal].
	^(result notNil and: [result isSuccess])
		ifTrue: [self authorized: result locator: aLocator]
		ifFalse: [ self denied ]
			! !

!ORAJSAuthResource methodsFor: 'as yet unclassified' stamp: 'chc 7/9/2015 13:26'!
handlePost: aRequest locator: aLocator
	| request result |
	request := ALAuthenticationRequest new.
	aRequest readEntityWith: 
		[:in | ALJsonParser  parse: in for: request].
	result := request signal.
	^ (result notNil and: [result isSuccess])
		ifTrue: [self authorized: result locator: aLocator]
		ifFalse: [self denied]! !

Object subclass: #ORAJSDirectiveExamplePage
	instanceVariableNames: 'examples current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSDirectiveExamplePage commentStamp: '<historical>' prior: 0!
A modified version of ALExamplePage used by ORExampleApplication. Uses ORAngularJS and ORForm!

!ORAJSDirectiveExamplePage methodsFor: 'converting' stamp: 'chc 7/22/2015 16:01'!
asResource
	^ ALExampleResource component: self! !

!ORAJSDirectiveExamplePage methodsFor: 'initialize-release' stamp: 'chc 7/22/2015 16:12'!
initialize
	examples := {
		'hellodirective' -> ORAJSDirectiveComponent
	}.
	current := examples first value new.! !

!ORAJSDirectiveExamplePage methodsFor: 'rendering' stamp: 'chc 7/22/2015 16:01'!
renderBodyOn: html
	html div
		class: 'navbar';
		with: [self renderNavBarOn: html].
	html div
		class: 'example';
		with: [current renderOn: html]! !

!ORAJSDirectiveExamplePage methodsFor: 'rendering' stamp: 'chc 7/22/2015 16:01'!
renderHtmlOn: html
	html html ngApp: 'notesApp'; with: 
		[	html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body ngController: 'MainCtrl as ctrl'; with: [ self renderBodyOn: html ] ]
						! !

!ORAJSDirectiveExamplePage methodsFor: 'rendering' stamp: 'chc 7/22/2015 16:01'!
renderJsonOn: json
	current renderJsonOn: json! !

!ORAJSDirectiveExamplePage methodsFor: 'rendering' stamp: 'chc 7/22/2015 16:01'!
renderNavBarOn: html
	html ul:
		[examples do:
			[:pair |
			html li:
				[html a
					navigate: [current := pair value new];
					with: pair key]]].! !

!ORAJSDirectiveExamplePage methodsFor: 'rendering' stamp: 'chc 7/22/2015 16:01'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!ORAJSDirectiveExamplePage methodsFor: 'rendering' stamp: 'chc 7/22/2015 16:01'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

Object subclass: #ORAJSHelloController2ExamplePage
	instanceVariableNames: 'examples current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloController2ExamplePage commentStamp: '<historical>' prior: 0!
A modified version of ALExamplePage used by ORExampleApplication. Uses ORAngularJS and ORForm!

!ORAJSHelloController2ExamplePage methodsFor: 'converting' stamp: 'chc 7/15/2015 14:45'!
asResource
	^ ALExampleResource component: self! !

!ORAJSHelloController2ExamplePage methodsFor: 'initialize-release' stamp: 'chc 7/15/2015 14:45'!
initialize
	examples := {
		'hellomodule' -> ORAJSHelloController2Component
	}.
	current := examples first value new.! !

!ORAJSHelloController2ExamplePage methodsFor: 'rendering' stamp: 'chc 7/15/2015 14:45'!
renderBodyOn: html
	html div
		class: 'navbar';
		with: [self renderNavBarOn: html].
	html div
		class: 'example';
		with: [current renderOn: html]! !

!ORAJSHelloController2ExamplePage methodsFor: 'rendering' stamp: 'chc 7/15/2015 14:45'!
renderHtmlOn: html
	html html ngApp: 'notesApp'; with: 
		[	html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body ngController: 'MainCtrl as ctrl'; with: [ self renderBodyOn: html ] ]
						! !

!ORAJSHelloController2ExamplePage methodsFor: 'rendering' stamp: 'chc 7/15/2015 14:45'!
renderJsonOn: json
	current renderJsonOn: json! !

!ORAJSHelloController2ExamplePage methodsFor: 'rendering' stamp: 'chc 7/15/2015 14:45'!
renderNavBarOn: html
	html ul:
		[examples do:
			[:pair |
			html li:
				[html a
					navigate: [current := pair value new];
					with: pair key]]].! !

!ORAJSHelloController2ExamplePage methodsFor: 'rendering' stamp: 'chc 7/15/2015 14:45'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!ORAJSHelloController2ExamplePage methodsFor: 'rendering' stamp: 'chc 7/15/2015 14:45'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

Object subclass: #ORAJSHelloControllerExamplePage
	instanceVariableNames: 'examples current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloControllerExamplePage commentStamp: '<historical>' prior: 0!
A modified version of ALExamplePage used by ORExampleApplication. Uses ORAngularJS and ORForm!

!ORAJSHelloControllerExamplePage methodsFor: 'converting' stamp: 'chc 7/14/2015 15:19'!
asResource
	^ ALExampleResource component: self! !

!ORAJSHelloControllerExamplePage methodsFor: 'initialize-release' stamp: 'chc 7/14/2015 15:20'!
initialize
	examples := {
		'hellomodule' -> ORAJSHelloControllerComponent
	}.
	current := examples first value new.! !

!ORAJSHelloControllerExamplePage methodsFor: 'rendering' stamp: 'chc 7/14/2015 15:19'!
renderBodyOn: html
	html div
		class: 'navbar';
		with: [self renderNavBarOn: html].
	html div
		class: 'example';
		with: [current renderOn: html]! !

!ORAJSHelloControllerExamplePage methodsFor: 'rendering' stamp: 'chc 7/14/2015 15:22'!
renderHtmlOn: html
	html html ngApp: 'notesApp'; with: 
		[	html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body ngController: 'MainCtrl as ctrl'; with: [ self renderBodyOn: html ] ]
						! !

!ORAJSHelloControllerExamplePage methodsFor: 'rendering' stamp: 'chc 7/14/2015 15:19'!
renderJsonOn: json
	current renderJsonOn: json! !

!ORAJSHelloControllerExamplePage methodsFor: 'rendering' stamp: 'chc 7/14/2015 15:19'!
renderNavBarOn: html
	html ul:
		[examples do:
			[:pair |
			html li:
				[html a
					navigate: [current := pair value new];
					with: pair key]]].! !

!ORAJSHelloControllerExamplePage methodsFor: 'rendering' stamp: 'chc 7/14/2015 15:19'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!ORAJSHelloControllerExamplePage methodsFor: 'rendering' stamp: 'chc 7/14/2015 15:19'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

Object subclass: #ORAJSHelloModuleExamplePage
	instanceVariableNames: 'examples current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloModuleExamplePage commentStamp: '<historical>' prior: 0!
A modified version of ALExamplePage used by ORExampleApplication. Uses ORAngularJS and ORForm!

!ORAJSHelloModuleExamplePage methodsFor: 'converting' stamp: 'chc 7/13/2015 14:46'!
asResource
	^ ALExampleResource component: self! !

!ORAJSHelloModuleExamplePage methodsFor: 'initialize-release' stamp: 'chc 7/14/2015 15:08'!
initialize
	examples := {
		'hellomodule' -> ORAJSHelloModuleComponent
	}.
	current := examples first value new.! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
renderBodyOn: html
	html div
		class: 'navbar';
		with: [self renderNavBarOn: html].
	html div
		class: 'example';
		with: [current renderOn: html]! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:53'!
renderHtmlOn: html
	html html ngApp: 'notesApp'; with: 
		[	html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body with: [ self renderBodyOn: html ] ]
						! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
renderJsonOn: json
	current renderJsonOn: json! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
renderNavBarOn: html
	html ul:
		[examples do:
			[:pair |
			html li:
				[html a
					navigate: [current := pair value new];
					with: pair key]]].! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

Object subclass: #ORAJSHelloWorldExamplePage
	instanceVariableNames: 'examples current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloWorldExamplePage commentStamp: '<historical>' prior: 0!
A modified version of ALExamplePage used by ORExampleApplication. Uses ORAngularJS and ORForm!

!ORAJSHelloWorldExamplePage methodsFor: 'converting' stamp: 'chc 7/13/2015 14:11'!
asResource
	^ ALExampleResource component: self! !

!ORAJSHelloWorldExamplePage methodsFor: 'initialize-release' stamp: 'chc 7/14/2015 15:09'!
initialize
	examples := {
		'helloangular' -> ORAJSHelloWorldComponent
	}.
	current := examples first value new.! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
renderBodyOn: html
	html div
		class: 'navbar';
		with: [self renderNavBarOn: html].
	html div
		class: 'example';
		with: [current renderOn: html]! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:18'!
renderHtmlOn: html
		html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body ngApp; with: [ self renderBodyOn: html ]
						! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
renderJsonOn: json
	current renderJsonOn: json! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
renderNavBarOn: html
	html ul:
		[examples do:
			[:pair |
			html li:
				[html a
					navigate: [current := pair value new];
					with: pair key]]].! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !
